Public Member Functions | Public Attributes | List of all members
clan::SlotImplT< FuncType > Class Template Reference
clanCore Signals

`#include <signal.h>`

Inheritance diagram for clan::SlotImplT< FuncType >:

## Public Member Functions
| SlotImplT (const std::weak_ptr< SignalImpl< SlotImplT >> &signal, const std::function< FuncType > &callback)
| ~SlotImplT ()
Public Member Functions inherited from clan::SlotImpl
| SlotImpl ()
| SlotImpl (const SlotImpl &)=delete
virtual | ~SlotImpl ()
SlotImpl & | operator= (const SlotImpl &)=delete

## Public Attributes
std::function< FuncType > | callback
std::weak_ptr< SignalImpl< SlotImplT > > | signal

The documentation for this class was generated from the following file:

- signal.h